Loading...
Searching...
No Matches
lange: General matrix norm
Dense LA » MAGMA BLAS and Auxiliary » Matrix norms

1, Frobenius, or Infinity norm; or largest element More...

## Functions

float | magmablas_clange (magma_norm_t norm, magma_int_t m, magma_int_t n, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magmaFloat_ptr dwork, magma_int_t lwork, magma_queue_t queue)
| CLANGE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real matrix A.
double | magmablas_dlange (magma_norm_t norm, magma_int_t m, magma_int_t n, magmaDouble_const_ptr dA, magma_int_t ldda, magmaDouble_ptr dwork, magma_int_t lwork, magma_queue_t queue)
| DLANGE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real matrix A.
float | magmablas_slange (magma_norm_t norm, magma_int_t m, magma_int_t n, magmaFloat_const_ptr dA, magma_int_t ldda, magmaFloat_ptr dwork, magma_int_t lwork, magma_queue_t queue)
| SLANGE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real matrix A.
double | magmablas_zlange (magma_norm_t norm, magma_int_t m, magma_int_t n, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magmaDouble_ptr dwork, magma_int_t lwork, magma_queue_t queue)
| ZLANGE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real matrix A.

## Detailed Description

1, Frobenius, or Infinity norm; or largest element

## Function Documentation

## magmablas_clange()

float magmablas_clange | ( | magma_norm_t | norm,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dwork,
|  | magma_int_t | lwork,
|  | magma_queue_t | queue )

CLANGE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real matrix A.

## Description

CLANGE returns the value

CLANGE = ( max(abs(A(i,j))), NORM = MagmaMaxNorm ( ( norm1(A), NORM = MagmaOneNorm ( ( normI(A), NORM = MagmaInfNorm ( ( normF(A), NORM = MagmaFrobeniusNorm

where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

Parameters

  [in] | norm | magma_norm_t Specifies the value to be returned in CLANGE as described above.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0. When M = 0, CLANGE is set to zero.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0. When N = 0, CLANGE is set to zero.
  [in] | dA | REAL array on the GPU, dimension (LDDA,N) The m by n matrix A.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(M,1).
  | dwork | (workspace) REAL array on the GPU, dimension (LWORK).
  [in] | lwork | INTEGER The dimension of the array WORK. If NORM = MagmaInfNorm or MagmaMaxNorm, LWORK >= max( 1, M ). If NORM = MagmaOneNorm, LWORK >= max( 1, N ). Note this is different than LAPACK, which requires WORK only for NORM = MagmaInfNorm, and does not pass LWORK.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dlange()

double magmablas_dlange | ( | magma_norm_t | norm,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dwork,
|  | magma_int_t | lwork,
|  | magma_queue_t | queue )

DLANGE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real matrix A.

## Description

DLANGE returns the value

DLANGE = ( max(abs(A(i,j))), NORM = MagmaMaxNorm ( ( norm1(A), NORM = MagmaOneNorm ( ( normI(A), NORM = MagmaInfNorm ( ( normF(A), NORM = MagmaFrobeniusNorm

where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

Parameters

  [in] | norm | magma_norm_t Specifies the value to be returned in DLANGE as described above.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0. When M = 0, DLANGE is set to zero.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0. When N = 0, DLANGE is set to zero.
  [in] | dA | DOUBLE PRECISION array on the GPU, dimension (LDDA,N) The m by n matrix A.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(M,1).
  | dwork | (workspace) DOUBLE PRECISION array on the GPU, dimension (LWORK).
  [in] | lwork | INTEGER The dimension of the array WORK. If NORM = MagmaInfNorm or MagmaMaxNorm, LWORK >= max( 1, M ). If NORM = MagmaOneNorm, LWORK >= max( 1, N ). Note this is different than LAPACK, which requires WORK only for NORM = MagmaInfNorm, and does not pass LWORK.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_slange()

float magmablas_slange | ( | magma_norm_t | norm,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dwork,
|  | magma_int_t | lwork,
|  | magma_queue_t | queue )

SLANGE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real matrix A.

## Description

SLANGE returns the value

SLANGE = ( max(abs(A(i,j))), NORM = MagmaMaxNorm ( ( norm1(A), NORM = MagmaOneNorm ( ( normI(A), NORM = MagmaInfNorm ( ( normF(A), NORM = MagmaFrobeniusNorm

where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

Parameters

  [in] | norm | magma_norm_t Specifies the value to be returned in SLANGE as described above.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0. When M = 0, SLANGE is set to zero.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0. When N = 0, SLANGE is set to zero.
  [in] | dA | REAL array on the GPU, dimension (LDDA,N) The m by n matrix A.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(M,1).
  | dwork | (workspace) REAL array on the GPU, dimension (LWORK).
  [in] | lwork | INTEGER The dimension of the array WORK. If NORM = MagmaInfNorm or MagmaMaxNorm, LWORK >= max( 1, M ). If NORM = MagmaOneNorm, LWORK >= max( 1, N ). Note this is different than LAPACK, which requires WORK only for NORM = MagmaInfNorm, and does not pass LWORK.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zlange()

double magmablas_zlange | ( | magma_norm_t | norm,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dwork,
|  | magma_int_t | lwork,
|  | magma_queue_t | queue )

ZLANGE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real matrix A.

## Description

ZLANGE returns the value

ZLANGE = ( max(abs(A(i,j))), NORM = MagmaMaxNorm ( ( norm1(A), NORM = MagmaOneNorm ( ( normI(A), NORM = MagmaInfNorm ( ( normF(A), NORM = MagmaFrobeniusNorm

where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

Parameters

  [in] | norm | magma_norm_t Specifies the value to be returned in ZLANGE as described above.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0. When M = 0, ZLANGE is set to zero.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0. When N = 0, ZLANGE is set to zero.
  [in] | dA | DOUBLE PRECISION array on the GPU, dimension (LDDA,N) The m by n matrix A.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(M,1).
  | dwork | (workspace) DOUBLE PRECISION array on the GPU, dimension (LWORK).
  [in] | lwork | INTEGER The dimension of the array WORK. If NORM = MagmaInfNorm or MagmaMaxNorm, LWORK >= max( 1, M ). If NORM = MagmaOneNorm, LWORK >= max( 1, N ). Note this is different than LAPACK, which requires WORK only for NORM = MagmaInfNorm, and does not pass LWORK.
  [in] | queue | magma_queue_t Queue to execute in.